using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.OP
{
    [Description("租户租期表")]
    public class T_OP_TENANT_EXPIRATION : MesEntityBase
    {
        [Description("租户ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_TENANT")]
        public Guid TENANT_ID { get; set; }

        [Description("时长")]
        [FormFieldTable]
        [FormFieldEdit]

        public int DURATION { get; set; }

        [Description("单位")]
        [FormFieldTable]
        [FormFieldEdit]
        [EnumName("OPDateTypeEnum")]

        public int UNIT { get; set; }

        [Description("续费前到期时间")]
        [FormFieldTable]
        [FormFieldEdit]
        public DateTime LAST_TIME { get; set; }

        [Description("到期时间")]
        [FormFieldTable]
        [FormFieldEdit]
        public DateTime EXPIRATION_TIME { get; set; }
        [Description("导航：租户表")]
        public virtual T_OP_TENANT Nav_TENANT { get; set; }
    }
}
